+ date
Tue Apr 18 17:15:50 UTC 2023
+ apt-get source --only-source kubecolor=0.0.9-2
Reading package lists...
NOTICE: 'kubecolor' packaging is maintained in the 'Git' version control system at:
https://salsa.debian.org/go-team/packages/kubecolor.git
Please use:
git clone https://salsa.debian.org/go-team/packages/kubecolor.git
to retrieve the latest (possibly unreleased) updates to the package.
Need to get 33.4 kB of source archives.
Get:1 http://repo.pureos.net/pureos byzantium/main kubecolor 0.0.9-2 (dsc) [2189 B]
Get:2 http://repo.pureos.net/pureos byzantium/main kubecolor 0.0.9-2 (tar) [28.5 kB]
Get:3 http://repo.pureos.net/pureos byzantium/main kubecolor 0.0.9-2 (diff) [2676 B]
dpkg-source: info: extracting kubecolor in kubecolor-0.0.9
dpkg-source: info: unpacking kubecolor_0.0.9.orig.tar.gz
dpkg-source: info: unpacking kubecolor_0.0.9-2.debian.tar.xz
Fetched 33.4 kB in 0s (199 kB/s)
W: Download is performed unsandboxed as root as file 'kubecolor_0.0.9-2.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ env DEBIAN_FRONTEND=noninteractive apt-get build-dep -y --only-source kubecolor=0.0.9-2
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  dh-golang golang-1.15-go golang-1.15-src golang-any
  golang-github-google-go-cmp-dev golang-github-makenowjust-heredoc-dev
  golang-github-mattn-go-colorable-dev golang-github-mattn-go-isatty-dev
  golang-go golang-golang-x-sys-dev golang-golang-x-xerrors-dev golang-src
0 upgraded, 12 newly installed, 0 to remove and 0 not upgraded.
Need to get 61.7 MB of archives.
After this operation, 366 MB of additional disk space will be used.
Get:1 http://repo.pureos.net/pureos byzantium/main amd64 dh-golang all 1.51 [24.6 kB]
Get:2 http://repo.pureos.net/pureos byzantium/main amd64 golang-1.15-src amd64 1.15.15-1~deb11u4 [13.9 MB]
Get:3 http://repo.pureos.net/pureos byzantium/main amd64 golang-1.15-go amd64 1.15.15-1~deb11u4 [47.4 MB]
Get:4 http://repo.pureos.net/pureos byzantium/main amd64 golang-src amd64 2:1.15~1 [4856 B]
Get:5 http://repo.pureos.net/pureos byzantium/main amd64 golang-go amd64 2:1.15~1 [23.9 kB]
Get:6 http://repo.pureos.net/pureos byzantium/main amd64 golang-any amd64 2:1.15~1 [4976 B]
Get:7 http://repo.pureos.net/pureos byzantium/main amd64 golang-golang-x-xerrors-dev all 0.0~git20191204.9bdfabe-1 [14.2 kB]
Get:8 http://repo.pureos.net/pureos byzantium/main amd64 golang-github-google-go-cmp-dev all 0.5.4-1 [83.7 kB]
Get:9 http://repo.pureos.net/pureos byzantium/main amd64 golang-github-makenowjust-heredoc-dev all 0.0~git20140704.0.1d91351-1.1 [4740 B]
Get:10 http://repo.pureos.net/pureos byzantium/main amd64 golang-golang-x-sys-dev all 0.0~git20210124.22da62e-1 [308 kB]
Get:11 http://repo.pureos.net/pureos byzantium/main amd64 golang-github-mattn-go-isatty-dev all 0.0.12-1 [6472 B]
Get:12 http://repo.pureos.net/pureos byzantium/main amd64 golang-github-mattn-go-colorable-dev all 0.1.7-1 [9936 B]
Fetched 61.7 MB in 2s (30.0 MB/s)
Selecting previously unselected package dh-golang.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 102989 files and directories currently installed.)
Preparing to unpack .../00-dh-golang_1.51_all.deb ...
Unpacking dh-golang (1.51) ...
Selecting previously unselected package golang-1.15-src.
Preparing to unpack .../01-golang-1.15-src_1.15.15-1~deb11u4_amd64.deb ...
Unpacking golang-1.15-src (1.15.15-1~deb11u4) ...
Selecting previously unselected package golang-1.15-go.
Preparing to unpack .../02-golang-1.15-go_1.15.15-1~deb11u4_amd64.deb ...
Unpacking golang-1.15-go (1.15.15-1~deb11u4) ...
Selecting previously unselected package golang-src:amd64.
Preparing to unpack .../03-golang-src_2%3a1.15~1_amd64.deb ...
Unpacking golang-src:amd64 (2:1.15~1) ...
Selecting previously unselected package golang-go.
Preparing to unpack .../04-golang-go_2%3a1.15~1_amd64.deb ...
Unpacking golang-go (2:1.15~1) ...
Selecting previously unselected package golang-any:amd64.
Preparing to unpack .../05-golang-any_2%3a1.15~1_amd64.deb ...
Unpacking golang-any:amd64 (2:1.15~1) ...
Selecting previously unselected package golang-golang-x-xerrors-dev.
Preparing to unpack .../06-golang-golang-x-xerrors-dev_0.0~git20191204.9bdfabe-1_all.deb ...
Unpacking golang-golang-x-xerrors-dev (0.0~git20191204.9bdfabe-1) ...
Selecting previously unselected package golang-github-google-go-cmp-dev.
Preparing to unpack .../07-golang-github-google-go-cmp-dev_0.5.4-1_all.deb ...
Unpacking golang-github-google-go-cmp-dev (0.5.4-1) ...
Selecting previously unselected package golang-github-makenowjust-heredoc-dev.
Preparing to unpack .../08-golang-github-makenowjust-heredoc-dev_0.0~git20140704.0.1d91351-1.1_all.deb ...
Unpacking golang-github-makenowjust-heredoc-dev (0.0~git20140704.0.1d91351-1.1) ...
Selecting previously unselected package golang-golang-x-sys-dev.
Preparing to unpack .../09-golang-golang-x-sys-dev_0.0~git20210124.22da62e-1_all.deb ...
Unpacking golang-golang-x-sys-dev (0.0~git20210124.22da62e-1) ...
Selecting previously unselected package golang-github-mattn-go-isatty-dev.
Preparing to unpack .../10-golang-github-mattn-go-isatty-dev_0.0.12-1_all.deb ...
Unpacking golang-github-mattn-go-isatty-dev (0.0.12-1) ...
Selecting previously unselected package golang-github-mattn-go-colorable-dev.
Preparing to unpack .../11-golang-github-mattn-go-colorable-dev_0.1.7-1_all.deb ...
Unpacking golang-github-mattn-go-colorable-dev (0.1.7-1) ...
Setting up dh-golang (1.51) ...
Setting up golang-github-makenowjust-heredoc-dev (0.0~git20140704.0.1d91351-1.1) ...
Setting up golang-1.15-src (1.15.15-1~deb11u4) ...
Setting up golang-golang-x-sys-dev (0.0~git20210124.22da62e-1) ...
Setting up golang-golang-x-xerrors-dev (0.0~git20191204.9bdfabe-1) ...
Setting up golang-src:amd64 (2:1.15~1) ...
Setting up golang-1.15-go (1.15.15-1~deb11u4) ...
Setting up golang-github-google-go-cmp-dev (0.5.4-1) ...
Setting up golang-github-mattn-go-isatty-dev (0.0.12-1) ...
Setting up golang-go (2:1.15~1) ...
Setting up golang-github-mattn-go-colorable-dev (0.1.7-1) ...
Setting up golang-any:amd64 (2:1.15~1) ...
Processing triggers for man-db (2.9.4-2) ...
+ find . -maxdepth 1 -name kubecolor* -type d
+ cd ./kubecolor-0.0.9
+ eatmydata env DEB_BUILD_OPTIONS=noautodbgsym dpkg-buildpackage --no-sign
dpkg-buildpackage: info: source package kubecolor
dpkg-buildpackage: info: source version 0.0.9-2
dpkg-buildpackage: info: source distribution unstable
dpkg-buildpackage: info: source changed by Stephen Gelman <ssgelm@debian.org>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
dh clean --builddirectory=_build --buildsystem=golang --with=golang
   dh_auto_clean -O--builddirectory=_build -O--buildsystem=golang
   dh_autoreconf_clean -O--builddirectory=_build -O--buildsystem=golang
   dh_clean -O--builddirectory=_build -O--buildsystem=golang
 dpkg-source -b .
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building kubecolor using existing ./kubecolor_0.0.9.orig.tar.gz
dpkg-source: info: building kubecolor in kubecolor_0.0.9-2.debian.tar.xz
dpkg-source: info: building kubecolor in kubecolor_0.0.9-2.dsc
 debian/rules binary
dh binary --builddirectory=_build --buildsystem=golang --with=golang
   dh_update_autotools_config -O--builddirectory=_build -O--buildsystem=golang
   dh_autoreconf -O--builddirectory=_build -O--buildsystem=golang
   dh_auto_configure -O--builddirectory=_build -O--buildsystem=golang
   dh_auto_build -O--builddirectory=_build -O--buildsystem=golang
	cd _build && go install -trimpath -v -p 50 github.com/dty1er/kubecolor/cmd/kubecolor github.com/dty1er/kubecolor/color github.com/dty1er/kubecolor/command github.com/dty1er/kubecolor/kubectl github.com/dty1er/kubecolor/printer github.com/dty1er/kubecolor/testutil
internal/unsafeheader
runtime/internal/sys
internal/race
math/bits
unicode/utf8
github.com/google/go-cmp/cmp/internal/flags
runtime/internal/atomic
golang.org/x/sys/internal/unsafeheader
sync/atomic
unicode
internal/cpu
runtime/internal/math
internal/testlog
internal/bytealg
math
runtime
internal/reflectlite
sync
math/rand
errors
sort
internal/oserror
io
strconv
syscall
strings
bytes
reflect
github.com/dty1er/kubecolor/kubectl
bufio
regexp/syntax
internal/syscall/unix
internal/syscall/execenv
time
regexp
github.com/google/go-cmp/cmp/internal/diff
context
internal/poll
internal/fmtsort
github.com/google/go-cmp/cmp/internal/function
encoding/binary
os
golang.org/x/sys/unix
fmt
runtime/debug
path/filepath
os/exec
io/ioutil
github.com/dty1er/kubecolor/color
github.com/MakeNowJust/heredoc
github.com/google/go-cmp/cmp/internal/value
runtime/trace
flag
github.com/dty1er/kubecolor/printer
github.com/google/go-cmp/cmp
testing
github.com/mattn/go-isatty
github.com/mattn/go-colorable
github.com/dty1er/kubecolor/command
github.com/dty1er/kubecolor/cmd/kubecolor
github.com/dty1er/kubecolor/testutil
   dh_auto_test -O--builddirectory=_build -O--buildsystem=golang
	cd _build && go test -vet=off -v -p 50 github.com/dty1er/kubecolor/cmd/kubecolor github.com/dty1er/kubecolor/color github.com/dty1er/kubecolor/command github.com/dty1er/kubecolor/kubectl github.com/dty1er/kubecolor/printer github.com/dty1er/kubecolor/testutil
?   	github.com/dty1er/kubecolor/cmd/kubecolor	[no test files]
=== RUN   TestApply
--- PASS: TestApply (0.00s)
PASS
ok  	github.com/dty1er/kubecolor/color	0.006s
=== RUN   Test_ResolveConfig
=== RUN   Test_ResolveConfig/no_config
=== RUN   Test_ResolveConfig/plain,_dark,_force
=== RUN   Test_ResolveConfig/KUBECTL_COMMAND_exists
--- PASS: Test_ResolveConfig (0.00s)
    --- PASS: Test_ResolveConfig/no_config (0.00s)
    --- PASS: Test_ResolveConfig/plain,_dark,_force (0.00s)
    --- PASS: Test_ResolveConfig/KUBECTL_COMMAND_exists (0.00s)
=== RUN   Test_ResolveSubcommand
=== RUN   Test_ResolveSubcommand/basic_case
=== RUN   Test_ResolveSubcommand/when_plain,_it_won't_colorize
=== RUN   Test_ResolveSubcommand/when_help,_it_will_colorize
=== RUN   Test_ResolveSubcommand/when_both_plain_and_force,_plain_is_chosen
=== RUN   Test_ResolveSubcommand/when_no_subcommand_is_found,_it_becomes_help
=== RUN   Test_ResolveSubcommand/when_not_tty,_it_won't_colorize
=== RUN   Test_ResolveSubcommand/even_if_not_tty,_if_force,_it_colorizes
=== RUN   Test_ResolveSubcommand/when_the_subcommand_is_unsupported,_it_won't_colorize
--- PASS: Test_ResolveSubcommand (0.00s)
    --- PASS: Test_ResolveSubcommand/basic_case (0.00s)
    --- PASS: Test_ResolveSubcommand/when_plain,_it_won't_colorize (0.00s)
    --- PASS: Test_ResolveSubcommand/when_help,_it_will_colorize (0.00s)
    --- PASS: Test_ResolveSubcommand/when_both_plain_and_force,_plain_is_chosen (0.00s)
    --- PASS: Test_ResolveSubcommand/when_no_subcommand_is_found,_it_becomes_help (0.00s)
    --- PASS: Test_ResolveSubcommand/when_not_tty,_it_won't_colorize (0.00s)
    --- PASS: Test_ResolveSubcommand/even_if_not_tty,_if_force,_it_colorizes (0.00s)
    --- PASS: Test_ResolveSubcommand/when_the_subcommand_is_unsupported,_it_won't_colorize (0.00s)
PASS
ok  	github.com/dty1er/kubecolor/command	0.009s
=== RUN   TestInspectSubcommandInfo
=== RUN   TestInspectSubcommandInfo/get_pods
=== PAUSE TestInspectSubcommandInfo/get_pods
=== RUN   TestInspectSubcommandInfo/get_pod
=== PAUSE TestInspectSubcommandInfo/get_pod
=== RUN   TestInspectSubcommandInfo/get_po
=== PAUSE TestInspectSubcommandInfo/get_po
=== RUN   TestInspectSubcommandInfo/get_pod_-o_wide
=== PAUSE TestInspectSubcommandInfo/get_pod_-o_wide
=== RUN   TestInspectSubcommandInfo/get_pod_-o=wide
=== PAUSE TestInspectSubcommandInfo/get_pod_-o=wide
=== RUN   TestInspectSubcommandInfo/get_pod_-owide
=== PAUSE TestInspectSubcommandInfo/get_pod_-owide
=== RUN   TestInspectSubcommandInfo/get_pod_-o_json
=== PAUSE TestInspectSubcommandInfo/get_pod_-o_json
=== RUN   TestInspectSubcommandInfo/get_pod_-o=json
=== PAUSE TestInspectSubcommandInfo/get_pod_-o=json
=== RUN   TestInspectSubcommandInfo/get_pod_-ojson
=== PAUSE TestInspectSubcommandInfo/get_pod_-ojson
=== RUN   TestInspectSubcommandInfo/get_pod_-o_yaml
=== PAUSE TestInspectSubcommandInfo/get_pod_-o_yaml
=== RUN   TestInspectSubcommandInfo/get_pod_-o=yaml
=== PAUSE TestInspectSubcommandInfo/get_pod_-o=yaml
=== RUN   TestInspectSubcommandInfo/get_pod_-oyaml
=== PAUSE TestInspectSubcommandInfo/get_pod_-oyaml
=== RUN   TestInspectSubcommandInfo/get_pod_--output_json
=== PAUSE TestInspectSubcommandInfo/get_pod_--output_json
=== RUN   TestInspectSubcommandInfo/get_pod_--output=json
=== PAUSE TestInspectSubcommandInfo/get_pod_--output=json
=== RUN   TestInspectSubcommandInfo/get_pod_--output_yaml
=== PAUSE TestInspectSubcommandInfo/get_pod_--output_yaml
=== RUN   TestInspectSubcommandInfo/get_pod_--output=yaml
=== PAUSE TestInspectSubcommandInfo/get_pod_--output=yaml
=== RUN   TestInspectSubcommandInfo/get_pod_--output_wide
=== PAUSE TestInspectSubcommandInfo/get_pod_--output_wide
=== RUN   TestInspectSubcommandInfo/get_pod_--output=wide
=== PAUSE TestInspectSubcommandInfo/get_pod_--output=wide
=== RUN   TestInspectSubcommandInfo/get_pod_--no-headers
=== PAUSE TestInspectSubcommandInfo/get_pod_--no-headers
=== RUN   TestInspectSubcommandInfo/get_pod_-w
=== PAUSE TestInspectSubcommandInfo/get_pod_-w
=== RUN   TestInspectSubcommandInfo/get_pod_--watch
=== PAUSE TestInspectSubcommandInfo/get_pod_--watch
=== RUN   TestInspectSubcommandInfo/get_pod_-h
=== PAUSE TestInspectSubcommandInfo/get_pod_-h
=== RUN   TestInspectSubcommandInfo/get_pod_--help
=== PAUSE TestInspectSubcommandInfo/get_pod_--help
=== RUN   TestInspectSubcommandInfo/describe_pod_pod-aaa
=== PAUSE TestInspectSubcommandInfo/describe_pod_pod-aaa
=== RUN   TestInspectSubcommandInfo/top_pod
=== PAUSE TestInspectSubcommandInfo/top_pod
=== RUN   TestInspectSubcommandInfo/top_pods
=== PAUSE TestInspectSubcommandInfo/top_pods
=== RUN   TestInspectSubcommandInfo/api-versions
=== PAUSE TestInspectSubcommandInfo/api-versions
=== RUN   TestInspectSubcommandInfo/explain_pod
=== PAUSE TestInspectSubcommandInfo/explain_pod
=== RUN   TestInspectSubcommandInfo/explain_pod_--recursive=true
=== PAUSE TestInspectSubcommandInfo/explain_pod_--recursive=true
=== RUN   TestInspectSubcommandInfo/explain_pod_--recursive_true
=== PAUSE TestInspectSubcommandInfo/explain_pod_--recursive_true
=== RUN   TestInspectSubcommandInfo/version
=== PAUSE TestInspectSubcommandInfo/version
=== RUN   TestInspectSubcommandInfo/version_--client
=== PAUSE TestInspectSubcommandInfo/version_--client
=== RUN   TestInspectSubcommandInfo/version_--short
=== PAUSE TestInspectSubcommandInfo/version_--short
=== RUN   TestInspectSubcommandInfo/version_-o_json
=== PAUSE TestInspectSubcommandInfo/version_-o_json
=== RUN   TestInspectSubcommandInfo/version_-o_yaml
=== PAUSE TestInspectSubcommandInfo/version_-o_yaml
=== RUN   TestInspectSubcommandInfo/apply
=== PAUSE TestInspectSubcommandInfo/apply
=== RUN   TestInspectSubcommandInfo/#00
=== PAUSE TestInspectSubcommandInfo/#00
=== CONT  TestInspectSubcommandInfo/get_pods
=== CONT  TestInspectSubcommandInfo/#00
=== CONT  TestInspectSubcommandInfo/get_pod_--no-headers
=== CONT  TestInspectSubcommandInfo/get_pod_--output=wide
=== CONT  TestInspectSubcommandInfo/get_pod_-o=json
=== CONT  TestInspectSubcommandInfo/get_pod_--output_wide
=== CONT  TestInspectSubcommandInfo/get_pod_--output=yaml
=== CONT  TestInspectSubcommandInfo/get_pod_--output_yaml
=== CONT  TestInspectSubcommandInfo/get_pod_--output=json
=== CONT  TestInspectSubcommandInfo/get_pod_-o_json
=== CONT  TestInspectSubcommandInfo/get_pod_-owide
=== CONT  TestInspectSubcommandInfo/get_pod_-o=wide
=== CONT  TestInspectSubcommandInfo/get_pod_-o_wide
=== CONT  TestInspectSubcommandInfo/get_po
=== CONT  TestInspectSubcommandInfo/get_pod
=== CONT  TestInspectSubcommandInfo/explain_pod
=== CONT  TestInspectSubcommandInfo/apply
=== CONT  TestInspectSubcommandInfo/version_-o_yaml
=== CONT  TestInspectSubcommandInfo/version_-o_json
=== CONT  TestInspectSubcommandInfo/version_--short
=== CONT  TestInspectSubcommandInfo/version_--client
=== CONT  TestInspectSubcommandInfo/version
=== CONT  TestInspectSubcommandInfo/explain_pod_--recursive_true
=== CONT  TestInspectSubcommandInfo/explain_pod_--recursive=true
=== CONT  TestInspectSubcommandInfo/describe_pod_pod-aaa
=== CONT  TestInspectSubcommandInfo/api-versions
=== CONT  TestInspectSubcommandInfo/top_pods
=== CONT  TestInspectSubcommandInfo/top_pod
=== CONT  TestInspectSubcommandInfo/get_pod_-h
=== CONT  TestInspectSubcommandInfo/get_pod_--help
=== CONT  TestInspectSubcommandInfo/get_pod_--watch
=== CONT  TestInspectSubcommandInfo/get_pod_-o=yaml
=== CONT  TestInspectSubcommandInfo/get_pod_--output_json
=== CONT  TestInspectSubcommandInfo/get_pod_-oyaml
=== CONT  TestInspectSubcommandInfo/get_pod_-o_yaml
=== CONT  TestInspectSubcommandInfo/get_pod_-w
=== CONT  TestInspectSubcommandInfo/get_pod_-ojson
--- PASS: TestInspectSubcommandInfo (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pods (0.00s)
    --- PASS: TestInspectSubcommandInfo/#00 (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_--no-headers (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_--output=wide (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_-o=json (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_--output_wide (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_--output=yaml (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_--output_yaml (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_--output=json (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_-o_json (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_-owide (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_-o=wide (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_-o_wide (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_po (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod (0.00s)
    --- PASS: TestInspectSubcommandInfo/explain_pod (0.00s)
    --- PASS: TestInspectSubcommandInfo/apply (0.00s)
    --- PASS: TestInspectSubcommandInfo/version_-o_yaml (0.00s)
    --- PASS: TestInspectSubcommandInfo/version_-o_json (0.00s)
    --- PASS: TestInspectSubcommandInfo/version_--short (0.00s)
    --- PASS: TestInspectSubcommandInfo/version_--client (0.00s)
    --- PASS: TestInspectSubcommandInfo/version (0.00s)
    --- PASS: TestInspectSubcommandInfo/explain_pod_--recursive_true (0.00s)
    --- PASS: TestInspectSubcommandInfo/explain_pod_--recursive=true (0.00s)
    --- PASS: TestInspectSubcommandInfo/describe_pod_pod-aaa (0.00s)
    --- PASS: TestInspectSubcommandInfo/api-versions (0.00s)
    --- PASS: TestInspectSubcommandInfo/top_pods (0.00s)
    --- PASS: TestInspectSubcommandInfo/top_pod (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_-h (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_--help (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_--watch (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_-o=yaml (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_--output_json (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_-oyaml (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_-o_yaml (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_-w (0.00s)
    --- PASS: TestInspectSubcommandInfo/get_pod_-ojson (0.00s)
PASS
ok  	github.com/dty1er/kubecolor/kubectl	0.011s
=== RUN   Test_toSpaces
--- PASS: Test_toSpaces (0.00s)
=== RUN   Test_getColorByKeyIndent
=== RUN   Test_getColorByKeyIndent/dark_depth:_1
=== PAUSE Test_getColorByKeyIndent/dark_depth:_1
=== RUN   Test_getColorByKeyIndent/light_depth:_1
=== PAUSE Test_getColorByKeyIndent/light_depth:_1
=== RUN   Test_getColorByKeyIndent/dark_depth:_2
=== PAUSE Test_getColorByKeyIndent/dark_depth:_2
=== RUN   Test_getColorByKeyIndent/light_depth:_2
=== PAUSE Test_getColorByKeyIndent/light_depth:_2
=== CONT  Test_getColorByKeyIndent/dark_depth:_1
=== CONT  Test_getColorByKeyIndent/light_depth:_1
=== CONT  Test_getColorByKeyIndent/dark_depth:_2
=== CONT  Test_getColorByKeyIndent/light_depth:_2
--- PASS: Test_getColorByKeyIndent (0.00s)
    --- PASS: Test_getColorByKeyIndent/dark_depth:_1 (0.00s)
    --- PASS: Test_getColorByKeyIndent/light_depth:_1 (0.00s)
    --- PASS: Test_getColorByKeyIndent/dark_depth:_2 (0.00s)
    --- PASS: Test_getColorByKeyIndent/light_depth:_2 (0.00s)
=== RUN   Test_getColorByValueType
=== RUN   Test_getColorByValueType/dark_null
=== PAUSE Test_getColorByValueType/dark_null
=== RUN   Test_getColorByValueType/light_null
=== PAUSE Test_getColorByValueType/light_null
=== RUN   Test_getColorByValueType/dark_bool
=== PAUSE Test_getColorByValueType/dark_bool
=== RUN   Test_getColorByValueType/light_bool
=== PAUSE Test_getColorByValueType/light_bool
=== RUN   Test_getColorByValueType/dark_number
=== PAUSE Test_getColorByValueType/dark_number
=== RUN   Test_getColorByValueType/light_number
=== PAUSE Test_getColorByValueType/light_number
=== RUN   Test_getColorByValueType/dark_string
=== PAUSE Test_getColorByValueType/dark_string
=== RUN   Test_getColorByValueType/light_string
=== PAUSE Test_getColorByValueType/light_string
=== CONT  Test_getColorByValueType/dark_null
=== CONT  Test_getColorByValueType/dark_number
=== CONT  Test_getColorByValueType/light_bool
=== CONT  Test_getColorByValueType/light_null
=== CONT  Test_getColorByValueType/light_number
=== CONT  Test_getColorByValueType/light_string
=== CONT  Test_getColorByValueType/dark_string
=== CONT  Test_getColorByValueType/dark_bool
--- PASS: Test_getColorByValueType (0.00s)
    --- PASS: Test_getColorByValueType/dark_null (0.00s)
    --- PASS: Test_getColorByValueType/dark_number (0.00s)
    --- PASS: Test_getColorByValueType/light_bool (0.00s)
    --- PASS: Test_getColorByValueType/light_null (0.00s)
    --- PASS: Test_getColorByValueType/light_number (0.00s)
    --- PASS: Test_getColorByValueType/light_string (0.00s)
    --- PASS: Test_getColorByValueType/dark_string (0.00s)
    --- PASS: Test_getColorByValueType/dark_bool (0.00s)
=== RUN   Test_getColorsByBackground
=== RUN   Test_getColorsByBackground/dark
=== PAUSE Test_getColorsByBackground/dark
=== RUN   Test_getColorsByBackground/light
=== PAUSE Test_getColorsByBackground/light
=== CONT  Test_getColorsByBackground/dark
=== CONT  Test_getColorsByBackground/light
--- PASS: Test_getColorsByBackground (0.00s)
    --- PASS: Test_getColorsByBackground/light (0.00s)
    --- PASS: Test_getColorsByBackground/dark (0.00s)
=== RUN   Test_getHeaderColorByBackground
=== RUN   Test_getHeaderColorByBackground/dark
=== PAUSE Test_getHeaderColorByBackground/dark
=== RUN   Test_getHeaderColorByBackground/light
=== PAUSE Test_getHeaderColorByBackground/light
=== CONT  Test_getHeaderColorByBackground/dark
=== CONT  Test_getHeaderColorByBackground/light
--- PASS: Test_getHeaderColorByBackground (0.00s)
    --- PASS: Test_getHeaderColorByBackground/dark (0.00s)
    --- PASS: Test_getHeaderColorByBackground/light (0.00s)
=== RUN   Test_findIndent
=== RUN   Test_findIndent/no_indent
=== PAUSE Test_findIndent/no_indent
=== RUN   Test_findIndent/__2_indent
=== PAUSE Test_findIndent/__2_indent
=== CONT  Test_findIndent/no_indent
=== CONT  Test_findIndent/__2_indent
--- PASS: Test_findIndent (0.00s)
    --- PASS: Test_findIndent/no_indent (0.00s)
    --- PASS: Test_findIndent/__2_indent (0.00s)
=== RUN   Test_JsonPrinter_Print
=== RUN   Test_JsonPrinter_Print/values_can_be_colored_by_its_type
=== PAUSE Test_JsonPrinter_Print/values_can_be_colored_by_its_type
=== RUN   Test_JsonPrinter_Print/keys_can_be_colored_by_its_indentation_level
=== PAUSE Test_JsonPrinter_Print/keys_can_be_colored_by_its_indentation_level
=== RUN   Test_JsonPrinter_Print/{}_and_[]_are_not_colorized
=== PAUSE Test_JsonPrinter_Print/{}_and_[]_are_not_colorized
=== CONT  Test_JsonPrinter_Print/values_can_be_colored_by_its_type
=== CONT  Test_JsonPrinter_Print/{}_and_[]_are_not_colorized
=== CONT  Test_JsonPrinter_Print/keys_can_be_colored_by_its_indentation_level
--- PASS: Test_JsonPrinter_Print (0.00s)
    --- PASS: Test_JsonPrinter_Print/values_can_be_colored_by_its_type (0.00s)
    --- PASS: Test_JsonPrinter_Print/{}_and_[]_are_not_colorized (0.00s)
    --- PASS: Test_JsonPrinter_Print/keys_can_be_colored_by_its_indentation_level (0.00s)
=== RUN   Test_DescribePrinter_Print
=== RUN   Test_DescribePrinter_Print/values_can_be_colored_by_its_type
=== PAUSE Test_DescribePrinter_Print/values_can_be_colored_by_its_type
=== RUN   Test_DescribePrinter_Print/key_color_changes_based_on_its_indentation
=== PAUSE Test_DescribePrinter_Print/key_color_changes_based_on_its_indentation
=== RUN   Test_DescribePrinter_Print/table_format_in_kubectl_describe_can_be_colored_by_describe
=== PAUSE Test_DescribePrinter_Print/table_format_in_kubectl_describe_can_be_colored_by_describe
=== RUN   Test_DescribePrinter_Print/invalid_test_for_the_workaround
=== PAUSE Test_DescribePrinter_Print/invalid_test_for_the_workaround
=== CONT  Test_DescribePrinter_Print/values_can_be_colored_by_its_type
=== CONT  Test_DescribePrinter_Print/table_format_in_kubectl_describe_can_be_colored_by_describe
=== CONT  Test_DescribePrinter_Print/key_color_changes_based_on_its_indentation
=== CONT  Test_DescribePrinter_Print/invalid_test_for_the_workaround
--- PASS: Test_DescribePrinter_Print (0.00s)
    --- PASS: Test_DescribePrinter_Print/values_can_be_colored_by_its_type (0.00s)
    --- PASS: Test_DescribePrinter_Print/key_color_changes_based_on_its_indentation (0.00s)
    --- PASS: Test_DescribePrinter_Print/invalid_test_for_the_workaround (0.00s)
    --- PASS: Test_DescribePrinter_Print/table_format_in_kubectl_describe_can_be_colored_by_describe (0.00s)
=== RUN   Test_ExplainPrinter_Print
=== RUN   Test_ExplainPrinter_Print/kind,_version,_description,_fields_can_be_colorized_with_recursive=false
=== PAUSE Test_ExplainPrinter_Print/kind,_version,_description,_fields_can_be_colorized_with_recursive=false
=== RUN   Test_ExplainPrinter_Print/kind,_version,_description,_fields_can_be_colorized_with_recursive=true
=== PAUSE Test_ExplainPrinter_Print/kind,_version,_description,_fields_can_be_colorized_with_recursive=true
=== CONT  Test_ExplainPrinter_Print/kind,_version,_description,_fields_can_be_colorized_with_recursive=false
=== CONT  Test_ExplainPrinter_Print/kind,_version,_description,_fields_can_be_colorized_with_recursive=true
--- PASS: Test_ExplainPrinter_Print (0.00s)
    --- PASS: Test_ExplainPrinter_Print/kind,_version,_description,_fields_can_be_colorized_with_recursive=false (0.00s)
    --- PASS: Test_ExplainPrinter_Print/kind,_version,_description,_fields_can_be_colorized_with_recursive=true (0.00s)
=== RUN   Test_OptionsPrinter_Print
=== RUN   Test_OptionsPrinter_Print/successful
=== PAUSE Test_OptionsPrinter_Print/successful
=== CONT  Test_OptionsPrinter_Print/successful
--- PASS: Test_OptionsPrinter_Print (0.00s)
    --- PASS: Test_OptionsPrinter_Print/successful (0.00s)
=== RUN   Test_KubectlOutputColoredPrinter_Print
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_top_pod
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_top_pod
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_top_pod_--no-headers
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_top_pod_--no-headers
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_api-resources
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_api-resources
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_api-resources_--no-headers
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_api-resources_--no-headers
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod#01
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod#01
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod_--no-headers
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod_--no-headers
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod_-o_wide
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod_-o_wide
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod_-o_json
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod_-o_json
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod_-o_yaml
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod_-o_yaml
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_describe_pod
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_describe_pod
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_api-versions
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_api-versions
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_explain
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_explain
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_version
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_version
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_version_--client
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_version_--client
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_version_--short
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_version_--short
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_version_--short_--client
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_version_--short_--client
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_options
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_options
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_apply_-o_json
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_apply_-o_json
=== RUN   Test_KubectlOutputColoredPrinter_Print/kubectl_apply_-o_yaml
=== PAUSE Test_KubectlOutputColoredPrinter_Print/kubectl_apply_-o_yaml
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_top_pod
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_describe_pod
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod_-o_yaml
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_version_--short
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod_-o_json
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_version_--client
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_apply_-o_json
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_options
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod_-o_wide
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_version
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_api-resources
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_api-resources_--no-headers
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_apply_-o_yaml
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_version_--short_--client
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_explain
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod_--no-headers
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_top_pod_--no-headers
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_api-versions
=== CONT  Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod#01
--- PASS: Test_KubectlOutputColoredPrinter_Print (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_top_pod (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod_-o_yaml (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_describe_pod (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_version_--short (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod_-o_json (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_version_--client (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_options (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_apply_-o_json (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_version (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod_-o_wide (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_version_--short_--client (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_apply_-o_yaml (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_explain (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_api-resources (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_api-resources_--no-headers (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_top_pod_--no-headers (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod_--no-headers (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_api-versions (0.00s)
    --- PASS: Test_KubectlOutputColoredPrinter_Print/kubectl_get_pod#01 (0.00s)
=== RUN   Test_VersionPrinter_Print
=== RUN   Test_VersionPrinter_Print/go_struct_dump_can_be_colorized
=== PAUSE Test_VersionPrinter_Print/go_struct_dump_can_be_colorized
=== CONT  Test_VersionPrinter_Print/go_struct_dump_can_be_colorized
--- PASS: Test_VersionPrinter_Print (0.00s)
    --- PASS: Test_VersionPrinter_Print/go_struct_dump_can_be_colorized (0.00s)
=== RUN   Test_VersionShortPrinter_Print
=== RUN   Test_VersionShortPrinter_Print/--short_can_be_colorized
=== PAUSE Test_VersionShortPrinter_Print/--short_can_be_colorized
=== CONT  Test_VersionShortPrinter_Print/--short_can_be_colorized
--- PASS: Test_VersionShortPrinter_Print (0.00s)
    --- PASS: Test_VersionShortPrinter_Print/--short_can_be_colorized (0.00s)
=== RUN   Test_SingleColoredPrinter_Print
=== RUN   Test_SingleColoredPrinter_Print/colored_in_white
=== PAUSE Test_SingleColoredPrinter_Print/colored_in_white
=== RUN   Test_SingleColoredPrinter_Print/colored_in_red
=== PAUSE Test_SingleColoredPrinter_Print/colored_in_red
=== CONT  Test_SingleColoredPrinter_Print/colored_in_white
=== CONT  Test_SingleColoredPrinter_Print/colored_in_red
--- PASS: Test_SingleColoredPrinter_Print (0.00s)
    --- PASS: Test_SingleColoredPrinter_Print/colored_in_white (0.00s)
    --- PASS: Test_SingleColoredPrinter_Print/colored_in_red (0.00s)
=== RUN   Test_TablePrinter_Print
=== RUN   Test_TablePrinter_Print/header_is_not_colored_-_dark
=== PAUSE Test_TablePrinter_Print/header_is_not_colored_-_dark
=== RUN   Test_TablePrinter_Print/multiple_headers
=== PAUSE Test_TablePrinter_Print/multiple_headers
=== RUN   Test_TablePrinter_Print/withheader=false,_1st_line_is_not_colored_in_header_color_but_colored_as_a_content_of_table
=== PAUSE Test_TablePrinter_Print/withheader=false,_1st_line_is_not_colored_in_header_color_but_colored_as_a_content_of_table
=== RUN   Test_TablePrinter_Print/when_darkBackground=false,_color_preset_for_light_is_used
=== PAUSE Test_TablePrinter_Print/when_darkBackground=false,_color_preset_for_light_is_used
=== RUN   Test_TablePrinter_Print/colorDeciderFn_works
=== PAUSE Test_TablePrinter_Print/colorDeciderFn_works
=== RUN   Test_TablePrinter_Print/a_table_whose_some_parts_are_missing_can_be_handled
=== PAUSE Test_TablePrinter_Print/a_table_whose_some_parts_are_missing_can_be_handled
=== CONT  Test_TablePrinter_Print/header_is_not_colored_-_dark
=== CONT  Test_TablePrinter_Print/when_darkBackground=false,_color_preset_for_light_is_used
=== CONT  Test_TablePrinter_Print/a_table_whose_some_parts_are_missing_can_be_handled
=== CONT  Test_TablePrinter_Print/withheader=false,_1st_line_is_not_colored_in_header_color_but_colored_as_a_content_of_table
=== CONT  Test_TablePrinter_Print/colorDeciderFn_works
=== CONT  Test_TablePrinter_Print/multiple_headers
--- PASS: Test_TablePrinter_Print (0.00s)
    --- PASS: Test_TablePrinter_Print/header_is_not_colored_-_dark (0.00s)
    --- PASS: Test_TablePrinter_Print/when_darkBackground=false,_color_preset_for_light_is_used (0.00s)
    --- PASS: Test_TablePrinter_Print/withheader=false,_1st_line_is_not_colored_in_header_color_but_colored_as_a_content_of_table (0.00s)
    --- PASS: Test_TablePrinter_Print/colorDeciderFn_works (0.00s)
    --- PASS: Test_TablePrinter_Print/multiple_headers (0.00s)
    --- PASS: Test_TablePrinter_Print/a_table_whose_some_parts_are_missing_can_be_handled (0.00s)
=== RUN   Test_WithFuncPrinter_Print
=== RUN   Test_WithFuncPrinter_Print/colored_in_white
=== PAUSE Test_WithFuncPrinter_Print/colored_in_white
=== RUN   Test_WithFuncPrinter_Print/color_changes_by_line
=== PAUSE Test_WithFuncPrinter_Print/color_changes_by_line
=== CONT  Test_WithFuncPrinter_Print/colored_in_white
=== CONT  Test_WithFuncPrinter_Print/color_changes_by_line
--- PASS: Test_WithFuncPrinter_Print (0.00s)
    --- PASS: Test_WithFuncPrinter_Print/colored_in_white (0.00s)
    --- PASS: Test_WithFuncPrinter_Print/color_changes_by_line (0.00s)
=== RUN   Test_YamlPrinter_Print
=== RUN   Test_YamlPrinter_Print/values_can_be_colored_by_its_type
=== PAUSE Test_YamlPrinter_Print/values_can_be_colored_by_its_type
=== RUN   Test_YamlPrinter_Print/key_color_changes_based_on_its_indentation
=== PAUSE Test_YamlPrinter_Print/key_color_changes_based_on_its_indentation
=== RUN   Test_YamlPrinter_Print/elements_in_an_array_can_be_colored
=== PAUSE Test_YamlPrinter_Print/elements_in_an_array_can_be_colored
=== RUN   Test_YamlPrinter_Print/a_long_string_which_is_broken_into_several_lines_can_be_colored
=== PAUSE Test_YamlPrinter_Print/a_long_string_which_is_broken_into_several_lines_can_be_colored
=== CONT  Test_YamlPrinter_Print/values_can_be_colored_by_its_type
=== CONT  Test_YamlPrinter_Print/elements_in_an_array_can_be_colored
=== CONT  Test_YamlPrinter_Print/key_color_changes_based_on_its_indentation
=== CONT  Test_YamlPrinter_Print/a_long_string_which_is_broken_into_several_lines_can_be_colored
--- PASS: Test_YamlPrinter_Print (0.00s)
    --- PASS: Test_YamlPrinter_Print/elements_in_an_array_can_be_colored (0.00s)
    --- PASS: Test_YamlPrinter_Print/values_can_be_colored_by_its_type (0.00s)
    --- PASS: Test_YamlPrinter_Print/key_color_changes_based_on_its_indentation (0.00s)
    --- PASS: Test_YamlPrinter_Print/a_long_string_which_is_broken_into_several_lines_can_be_colored (0.00s)
PASS
ok  	github.com/dty1er/kubecolor/printer	0.019s
?   	github.com/dty1er/kubecolor/testutil	[no test files]
   create-stamp debian/debhelper-build-stamp
   dh_testroot -O--builddirectory=_build -O--buildsystem=golang
   dh_prep -O--builddirectory=_build -O--buildsystem=golang
   debian/rules override_dh_auto_install
make[1]: Entering directory '/build/kubecolor/kubecolor-0.0.9'
dh_auto_install -- --no-source
	cd _build && mkdir -p /build/kubecolor/kubecolor-0.0.9/debian/kubecolor/usr
	cd _build && cp -r bin /build/kubecolor/kubecolor-0.0.9/debian/kubecolor/usr
make[1]: Leaving directory '/build/kubecolor/kubecolor-0.0.9'
   dh_installdocs -O--builddirectory=_build -O--buildsystem=golang
   dh_installchangelogs -O--builddirectory=_build -O--buildsystem=golang
   dh_installsystemduser -O--builddirectory=_build -O--buildsystem=golang
   dh_perl -O--builddirectory=_build -O--buildsystem=golang
   dh_link -O--builddirectory=_build -O--buildsystem=golang
   dh_strip_nondeterminism -O--builddirectory=_build -O--buildsystem=golang
   dh_compress -O--builddirectory=_build -O--buildsystem=golang
   dh_fixperms -O--builddirectory=_build -O--buildsystem=golang
   dh_missing -O--builddirectory=_build -O--buildsystem=golang
   dh_dwz -a -O--builddirectory=_build -O--buildsystem=golang
dwz: debian/kubecolor/usr/bin/kubecolor: .debug_info section not present
   dh_strip -a -O--builddirectory=_build -O--buildsystem=golang
dh_strip: warning: Could not find the BuildID in debian/kubecolor/usr/bin/kubecolor
   dh_makeshlibs -a -O--builddirectory=_build -O--buildsystem=golang
   dh_shlibdeps -a -O--builddirectory=_build -O--buildsystem=golang
   dh_installdeb -O--builddirectory=_build -O--buildsystem=golang
   dh_golang -O--builddirectory=_build -O--buildsystem=golang
   dh_gencontrol -O--builddirectory=_build -O--buildsystem=golang
dpkg-gencontrol: warning: Depends field of package kubecolor: substitution variable ${shlibs:Depends} used, but is not defined
   dh_md5sums -O--builddirectory=_build -O--buildsystem=golang
   dh_builddeb -O--builddirectory=_build -O--buildsystem=golang
dpkg-deb: building package 'kubecolor' in '../kubecolor_0.0.9-2_amd64.deb'.
 dpkg-genbuildinfo
 dpkg-genchanges  >../kubecolor_0.0.9-2_amd64.changes
dpkg-genchanges: info: not including original source code in upload
 dpkg-source --after-build .
dpkg-buildpackage: info: binary and diff upload (original source NOT included)
+ date
Tue Apr 18 17:16:45 UTC 2023
+ cd ..
+ ls -la
total 740
drwxr-xr-x  3 root root   4096 Apr 18 17:16 .
drwxr-xr-x  3 root root   4096 Apr 18 17:15 ..
-rw-r--r--  1 root root  41305 Apr 18 17:16 buildlog.txt
drwxr-xr-x 13 root root   4096 Apr 18 17:16 kubecolor-0.0.9
-rw-r--r--  1 root root   2676 Apr 18 17:16 kubecolor_0.0.9-2.debian.tar.xz
-rw-r--r--  1 root root   1281 Apr 18 17:16 kubecolor_0.0.9-2.dsc
-rw-r--r--  1 root root   5708 Apr 18 17:16 kubecolor_0.0.9-2_amd64.buildinfo
-rw-r--r--  1 root root   1513 Apr 18 17:16 kubecolor_0.0.9-2_amd64.changes
-rw-r--r--  1 root root 648476 Apr 18 17:16 kubecolor_0.0.9-2_amd64.deb
-rw-r--r--  1 root root  28514 Jan 28  2021 kubecolor_0.0.9.orig.tar.gz
+ find . -maxdepth 1 -type f
+ sha256sum ./buildlog.txt ./kubecolor_0.0.9-2_amd64.changes ./kubecolor_0.0.9-2.dsc ./kubecolor_0.0.9-2_amd64.buildinfo ./kubecolor_0.0.9.orig.tar.gz ./kubecolor_0.0.9-2.debian.tar.xz ./kubecolor_0.0.9-2_amd64.deb
58be1869c357bd75336a21748639b46122438f2690a4eaf8ad00d418b513b448  ./buildlog.txt
e413ffdd01eea464562a2767c341bbace20c54c9f0454a6dac020f86b483af16  ./kubecolor_0.0.9-2_amd64.changes
63a10efe185156918719cdd1bd3e9e37a715d32aff690583aa10f2232a5a202b  ./kubecolor_0.0.9-2.dsc
01d75ed90d02a54f8e338ae14cdf1667d9bd95ac004041d9f5fc75a5acb481d6  ./kubecolor_0.0.9-2_amd64.buildinfo
230fb210a32c45c96f1ae12cf084b1e4a92f6db0adff88358d4da80a974206d3  ./kubecolor_0.0.9.orig.tar.gz
61216bdcf1e123c97bad017850a845ef2672f615da9407138e2f076fdfa89b2d  ./kubecolor_0.0.9-2.debian.tar.xz
683de996eb57e57837bbbeab61d9861a86cfeda0b39dd5d48b791eb2bd510fa9  ./kubecolor_0.0.9-2_amd64.deb
+ mkdir published
+ cd published
+ cd ../
+ ls kubecolor_0.0.9-2_amd64.deb *.udeb
ls: cannot access '*.udeb': No such file or directory
+ wget --retry-connrefused --retry-on-host-error --tries=3 http://repo.pureos.net/pureos/pool/main/k/kubecolor/kubecolor_0.0.9-2_amd64.deb
--2023-04-18 17:16:45--  http://repo.pureos.net/pureos/pool/main/k/kubecolor/kubecolor_0.0.9-2_amd64.deb
Resolving repo.pureos.net (repo.pureos.net)... 138.201.228.45
Connecting to repo.pureos.net (repo.pureos.net)|138.201.228.45|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2023-04-18 17:16:45 ERROR 404: Not Found.

